Subject: Re: CheckMyDatabase some error messages in two lines.

From: Michael Paquier <[email-masked]>
Date: Tue, 11 Jun 2024 08:22:46 +0900

On Sun, Jun 09, 2024 at 10:12:53PM -0400, Tom Lane wrote:
> No doubt.  People have done it both ways in the past, but I think
> currently there's a weak consensus in favor of using one line for
> such messages even when it runs past 80 columns, mainly because
> that makes it easier to grep the source code for a message text.

I recall the same consensus here.  Greppability matters across the
board.

> But: I don't see too much value in changing this particular instance,
> because the line break is in a place where it would not likely cause
> you to miss finding the line.  You might grep for the first part of
> the string or the second part, but probably not for ", which is not".
> If the line break were in the middle of a phrase, there'd be more
> argument for collapsing it out.

Not sure these ones are worth it, either, so I'd let them be.
--
Michael